glClearAccum
Prev | GL | Next

## Name

glClearAccum — specify clear values for the accumulation buffer

## C Specification

`void `glClearAccum`` | `(` | `GLfloat `red`, GLfloat `green`, GLfloat `blue`, GLfloat `alpha`);`

## Python Specification

``glClearAccum`` | `(` | ``red`, `green`, `blue`, `alpha`) → `None``

## Parameters

`red`, `green`, `blue`, `alpha`
  Specify the red, green, blue, and alpha values used when the accumulation buffer is cleared. The initial values are all 0.

## Description

`glClearAccum` specifies the red, green, blue, and alpha values used by `glClear` to clear the accumulation buffer.

Values specified by `glClearAccum` are clamped to the range -1 1 .

## Errors

`GL_INVALID_OPERATION` is generated if `glClearAccum` is executed between the execution of `glBegin` and the corresponding execution of `glEnd`.

## Associated Gets

`glGet` with argument `GL_ACCUM_CLEAR_VALUE`

## See Also

glAccum, glClear

Prev | Up | Next
glClear | Home | glClearColor